com.microfocus.awm.meta.interfaces.validation

## Interface ActionDescriptorValidator

-     public interface ActionDescriptorValidator

  A sample validator interface for `ActionDescriptor`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()`
    `boolean` | `validateExecutionMode(EActionExecutionMode value)`
    `boolean` | `validateHasElementlist(ElementListStructure value)`
    `boolean` | `validateHasTool(org.eclipse.emf.common.util.EList<RActionTool> value)`
    `boolean` | `validateIcon(Icon value)`
    `boolean` | `validateID(java.lang.String value)`
    `boolean` | `validateKeyBindingContext(java.lang.String value)`
    `boolean` | `validateKeySequence(java.lang.String value)`
    `boolean` | `validateLabel(java.lang.String value)`
    `boolean` | `validateLinkElementList(boolean value)`
    `boolean` | `validateMassProcessing(boolean value)`
    `boolean` | `validateRefreshList(boolean value)`
    `boolean` | `validateRelatedCloseAction(ActionDescriptor value)`
    `boolean` | `validateRelatedSaveAction(ActionDescriptor value)`
    `boolean` | `validateShowProgressMonitor(boolean value)`
    `boolean` | `validateTableViewID(java.lang.String value)`
    `boolean` | `validateTableViewLabel(java.lang.String value)`

- - ### Method Detail

    - #### validate

          boolean validate()

    - #### validateHasTool

          boolean validateHasTool(org.eclipse.emf.common.util.EList<RActionTool> value)

    - #### validateExecutionMode

          boolean validateExecutionMode(EActionExecutionMode value)

    - #### validateHasElementlist

          boolean validateHasElementlist(ElementListStructure value)

    - #### validateIcon

          boolean validateIcon(Icon value)

    - #### validateKeyBindingContext

          boolean validateKeyBindingContext(java.lang.String value)

    - #### validateKeySequence

          boolean validateKeySequence(java.lang.String value)

    - #### validateID

          boolean validateID(java.lang.String value)

    - #### validateLabel

          boolean validateLabel(java.lang.String value)

    - #### validateLinkElementList

          boolean validateLinkElementList(boolean value)

    - #### validateMassProcessing

          boolean validateMassProcessing(boolean value)

    - #### validateRefreshList

          boolean validateRefreshList(boolean value)

    - #### validateRelatedCloseAction

          boolean validateRelatedCloseAction(ActionDescriptor value)

    - #### validateRelatedSaveAction

          boolean validateRelatedSaveAction(ActionDescriptor value)

    - #### validateTableViewID

          boolean validateTableViewID(java.lang.String value)

    - #### validateTableViewLabel

          boolean validateTableViewLabel(java.lang.String value)

    - #### validateShowProgressMonitor

          boolean validateShowProgressMonitor(boolean value)

Copyright © 2015 Micro Focus GmbH. All rights reserved.